Graham Barr > perl5.005_03 > CGI::Apache

Download:
perl5.005_03.tar.gz

Dependencies

Annotate this POD

Module Version: 1.1   Source   Latest Release: perl-5.6.2

NAME ^

CGI::Apache - Make things work with CGI.pm against Perl-Apache API

SYNOPSIS ^

 require CGI::Apache;

 my $q = new Apache::CGI;

 $q->print($q->header);

 #do things just like you do with CGI.pm

DESCRIPTION ^

When using the Perl-Apache API, your applications are faster, but the environment is different than CGI. This module attempts to set-up that environment as best it can.

NOTE 1 ^

This module used to be named Apache::CGI. Sorry for the confusion.

NOTE 2 ^

If you're going to inherit from this class, make sure to "use" it after your package declaration rather than "require" it. This is because CGI.pm does a little magic during the import() step in order to make autoloading work correctly.

SEE ALSO ^

perl(1), Apache(3), CGI(3)

AUTHOR ^

Doug MacEachern <dougm@osf.org>, hacked over by Andreas König <a.koenig@mind.de>, modified by Lincoln Stein <lt>lstein@genome.wi.mit.edu<gt>

syntax highlighting: